﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LifenoteData.Entity
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class LifeNoteSQLdataEntities : DbContext
    {
        public LifeNoteSQLdataEntities()
            : base("name=LifeNoteSQLdataEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Alarm> Alarms { get; set; }
        public virtual DbSet<ListTask> ListTasks { get; set; }
        public virtual DbSet<Note> Notes { get; set; }
        public virtual DbSet<Objective> Objectives { get; set; }
        public virtual DbSet<Work> Works { get; set; }
        public virtual DbSet<USERS> USERS { get; set; }
    }
}
